- [HTTP request](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#body.request_body)
- [Response body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata/get#try-it)

Returns the developer metadata with the specified ID. The caller must specify the spreadsheet ID and the developer metadata's unique `https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata#DeveloperMetadata.FIELDS.metadata_id`. For more information, see [Read, write, and search metadata](https://developers.google.com/workspace/sheets/api/guides/metadata).

### HTTP request

`GET https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}/developerMetadata/{metadataId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `spreadsheetId` | `string` The ID of the spreadsheet to retrieve metadata from. |
| `metadataId` | `integer` The ID of the developer metadata to retrieve. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.developerMetadata#DeveloperMetadata`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `https://www.googleapis.com/auth/drive.file`
- `https://www.googleapis.com/auth/spreadsheets`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).